# $Revision: 1.6 $, $Date: 2002/07/24 15:15:42 $
Summary:	Psion 5 data format library
Summary(pl):	Biblioteka obsugi plikw Psion 5
Name:		psiconv
Version:	0.8.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://huizen.dds.nl/~frodol/psiconv/%{name}-%{version}.tar.gz
URL:		http://huizen.dds.nl/~frodol/psiconv/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is meant to make the Psion 5 series of PDAs, as well as
other small computers running Epoc 32, more usable to non-Windows
users. The package consists of several parts:
 - Documentation about Psion 5 data formats;
 - A library which can be linked against application that have to read
   (and in the future, perhaps write) Psion 5 files;
 - An example command-line program which reads Psion files and writes
   more commonly used formats.

%description -l pl
Ten pakiet ma za zadanie uczyni PDA serii Psion 5 oraz inne mae
komputery na Epoc 32 bardziej uytecznymi dla uytkownikw systemw
innych ni Windows. Pakiet zawiera:
 - dokumentacj o formatach danych Psion 5,
 - bibliotek dla aplikacji, ktra moe czyta (w przyszoci by moe
   take zapisywa) pliki Psion 5,
 - przykadowy program czytajcy pliki Psion 5 i zapisujcy w czciej
   spotykanych formatach.

%package devel
Summary:	Development part of psiconv
Summary(pl):	Cz psiconv przeznaczona dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for psiconv and Psion 5 file format documentation.

%description devel -l pl
Pliki nagwkowe psiconv oraz dokumentacja formatu plikw Psion 5.

%package static
Summary:	Static psiconv library
Summary(pl):	Statyczna biblioteka psiconv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static psiconv library.

%description static -l pl
Statyczna biblioteka psiconv.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

rm -rf formats/html/.temp

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libpsiconv.so.*.*

%files devel
%defattr(644,root,root,755)
%doc formats/html/*
%attr(755,root,root) %{_libdir}/libpsiconv.so
%attr(755,root,root) %{_libdir}/libpsiconv.la
%{_includedir}/psiconv

%files static
%defattr(644,root,root,755)
%{_libdir}/libpsiconv.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: psiconv.spec,v $
Revision 1.6  2002/07/24 15:15:42  marcus
- new version 0.8.3 (unable to regeneration ac/am too)

Revision 1.5  2002/07/23 20:22:18  marcus
- use new %%doc

Revision 1.4  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/30 03:55:22  kloczek
- added missing %post/%posttun with run /sbin/ldconfig.

Revision 1.1  2001/10/25 09:40:17  qboosh
- new: Psion5 to other formats conversion library+program
